// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "UObject/Object.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "CsdkTool.generated.h"

DECLARE_DYNAMIC_DELEGATE_RetVal_TwoParams(bool, FCsdkPredicateFunc, const UObject*, A,const UObject*, B);

/**
 * 
 */
UCLASS()
class CSDKRUNTIME_API UCsdkTool final : public UBlueprintFunctionLibrary 
{
	GENERATED_BODY()

	UFUNCTION(BlueprintCallable, Category = "CSDK|User")
	static TArray<UObject*> SortArrayObject(const TArray<UObject*>& InArray,const FCsdkPredicateFunc& PredicateFunc);
};
